Bug 1993294 - Review Request: rust-base-x - Encode/decode any base
Summary: Review Request: rust-base-x - Encode/decode any base
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-12 17:42 UTC by Davide Cavalca
Modified: 2022-08-25 16:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-17 13:44:06 UTC
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-08-12 17:42:04 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-base-x/rust-base-x.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-base-x/rust-base-x-0.2.8-1.fc35.src.rpm

Description:
Encode/decode any base.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-08-12 17:42:06 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=73735671

Comment 2 Fabio Valentini 2022-01-21 22:09:05 UTC
The .spec file behind the link and the file inside the SRPM are different, please make sure they're consistent:

Diff spec file in url and in SRPM
---------------------------------
--- /home/deca/Downloads/1993294-rust-base-x/srpm/rust-base-x.spec	2022-01-21 23:05:08.016351250 +0100
+++ /home/deca/Downloads/1993294-rust-base-x/srpm-unpacked/rust-base-x.spec	2021-08-12 19:32:42.000000000 +0200
@@ -82,5 +82,5 @@
 %if %{with check}
 %check
-%cargo_test -- -- --skip test::range::read_range tests::connect_http_google tests::connect_https_google
+%cargo_test
 %endif

And if you need to disable tests, please add a descriptive comment in the line above, something like
"# * skip tests that require internet connectivity"

Comment 3 Davide Cavalca 2022-02-13 06:07:34 UTC
Good catch! Not sure how that ended up there, but it's not needed.

Spec URL: https://dcavalca.fedorapeople.org/review/rust-base-x/rust-base-x.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-base-x/rust-base-x-0.2.8-1.fc37.src.rpm

Changelog:
- re-run rust2rpm
- drop unnecessary test gate
- link to upstream PR

Comment 4 Fabio Valentini 2022-05-01 13:41:13 UTC
Upstream has released two new versions, could you update this to version 0.2.10 and refresh the spec with rust2rpm 21, if you're still interested in packaging it?

Comment 5 Davide Cavalca 2022-08-14 15:18:05 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-base-x/rust-base-x.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-base-x/rust-base-x-0.2.11-1.fc38.src.rpm

Changelog:
- re-run rust2rpm
- update to 0.2.11

Comment 6 Fabio Valentini 2022-08-17 09:43:16 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (MIT) and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- add @rust-sig with "commit" access as package co-maintainer

- set bugzilla assignee overrides to @rust-sig (optional)

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- track package in koschei for all built branches

Comment 7 Davide Cavalca 2022-08-17 13:10:35 UTC
Thanks!

$ fedpkg request-repo rust-base-x 1993294
https://pagure.io/releng/fedora-scm-requests/issue/46487
$ fedpkg request-branch --repo rust-base-x f37
https://pagure.io/releng/fedora-scm-requests/issue/46489
$ fedpkg request-branch --repo rust-base-x f36
https://pagure.io/releng/fedora-scm-requests/issue/46490
$ fedpkg request-branch --repo rust-base-x f35
https://pagure.io/releng/fedora-scm-requests/issue/46491

Comment 8 Gwyn Ciesla 2022-08-17 13:26:43 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-base-x

Comment 9 Fedora Update System 2022-08-17 13:41:41 UTC
FEDORA-2022-32d79722b1 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-32d79722b1

Comment 10 Fedora Update System 2022-08-17 13:44:06 UTC
FEDORA-2022-32d79722b1 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-08-17 13:51:55 UTC
FEDORA-2022-2a59a4e672 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-2a59a4e672

Comment 12 Fedora Update System 2022-08-17 13:52:51 UTC
FEDORA-2022-2a59a4e672 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-08-17 14:07:53 UTC
FEDORA-2022-38b8ae4e06 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-38b8ae4e06

Comment 14 Fedora Update System 2022-08-17 14:16:12 UTC
FEDORA-2022-104339afb6 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-104339afb6

Comment 15 Fedora Update System 2022-08-18 02:55:22 UTC
FEDORA-2022-38b8ae4e06 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-38b8ae4e06 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-38b8ae4e06

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-08-18 03:30:37 UTC
FEDORA-2022-104339afb6 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-104339afb6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-104339afb6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-08-25 16:17:51 UTC
FEDORA-2022-104339afb6 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-08-25 16:42:56 UTC
FEDORA-2022-38b8ae4e06 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.